> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sentfrom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an inbox



## OpenAPI

````yaml POST /inboxes
openapi: 3.1.0
info:
  title: SentFromAI API
  version: 0.1.0
  description: >-
    Comms infrastructure for AI agents. Email send/receive, threading,
    attachments, drafts, webhooks, realtime, and search.
servers:
  - url: https://api.sentfrom.ai/v1
security:
  - bearerAuth: []
tags:
  - name: inboxes
  - name: messages
  - name: threads
  - name: drafts
  - name: webhooks
  - name: labels
  - name: lists
  - name: attachments
  - name: domains
    description: Custom sending domains
paths:
  /inboxes:
    post:
      tags:
        - inboxes
      summary: Create an inbox
      operationId: createInbox
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInbox'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Inbox'
components:
  schemas:
    CreateInbox:
      type: object
      required:
        - local_part
      properties:
        local_part:
          type: string
        display_name:
          type: string
        domain_id:
          type: string
    Inbox:
      type: object
      properties:
        id:
          type: string
        local_part:
          type: string
        display_name:
          type:
            - string
            - 'null'
        address:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````